import { Logger } from 'ts-log';
import { Config } from './Config';
import { HasuraClient } from './HasuraClient';
import { MetadataClient } from './MetadataClient';
export declare class Worker {
    readonly hasuraClient: HasuraClient;
    private logger;
    private metadataFetchClient;
    private options?;
    private queue;
    private state;
    constructor(hasuraClient: HasuraClient, logger: Logger, metadataFetchClient: MetadataClient, queueConfig: Config['db'], options?: {
        metadataUpdateInterval?: {
            assets?: Config['metadataUpdateInterval']['assets'];
        };
    });
    start(): Promise<void>;
    shutdown(): Promise<void>;
}
//# sourceMappingURL=Worker.d.ts.map